Bug 179765 - Upgrade with yum failed: functionality of squid change
Upgrade with yum failed: functionality of squid change
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora Legacy
Classification: Retired
Component: squid (Show other bugs)
fc2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
DEFER
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-02 13:30 EST by Marc Muñoz Salvador
Modified: 2007-04-18 13:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-13 09:58:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Muñoz Salvador 2006-02-02 13:30:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; ca-es) AppleWebKit/417.9 (KHTML, like Gecko) Safari/417.8

Description of problem:
While yum updated the package, the users who use the proxy, didn't validate properly.

In access.log appear TCP_DENIED/407 and user_name NONE/- text/html


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Got a previous version of squid, and get some users who use it with pam_auth
2. Upgrade with yum
3. Find that users doesn't get authorized to surf the web
  

Additional info:

Doing a chmod u+s /usr/lib/squid/pam_auth, and restarting squid solved the problem. I thought that 
packagers should know that for future package upgrades, and make upgrading works compleatly 
automatic and nice.
Comment 1 David Eisenstein 2006-02-03 00:18:19 EST
Thank you for reporting this, Marc.

Can you tell us the version of Squid you are using when you are encountering
this issue?

You can do:
   $ rpm -q squid

on the affected system and report it here.  Thanks.   
Comment 2 Pekka Savola 2006-03-14 00:56:08 EST
Marking DEFER as there has been no response..

Note You need to log in before you can comment on or make changes to this bug.